> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trysiren.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Provider Integration

> API to update an existing provider integration in Siren

## Header

<ParamField header="Authorization" type="string" required="true" />

<ParamField type="string" required="true" />

## Path Parameters

<ParamField path="providerId" type="string" required="true" />

## Request Body

<ParamField path="providerCode" type="string" required="true" />

<ParamField path="name" type="string" required="true" />

<ParamField path="configuration" type="object" required="true" />

## Request Example

<RequestExample>
  ```json Request Example theme={null}
  {
    "providerCode": "SLACK",
    "name": "provider-integrations-name",
    "configuration": {
      "botAuthToken": "your-auth-token",
      "appId": "your-app-id"
    },
    "isPrimary": false
  }
  ```
</RequestExample>

## Response

<ResponseExample>
  ```json Response Example theme={null}
  {
    "id": "a8f39791-60ec-45a6-beb9-ead8f8d859af",
    "providerCode": "SLACK",
    "name": "provider-integrations-name",
    "status": "ACTIVE",
    "configuration": {
      "botAuthToken": "your-auth-token",
      "appId": "your-app-id"
    },
    "isPrimary": false,
    "createdAt": "2025-07-29T12:00:00Z",
    "updatedAt": "2025-07-29T12:30:00Z"
  }
  ```
</ResponseExample>

## Status Codes

`200` - OK: Provider integration updated successfully\
`400` - Bad Request: Invalid input data\
`401` - Unauthorized: Invalid or missing authentication\
`404` - Not Found: Provider integration not found\
`409` - Conflict: Provider integration with this name already exists\
`500` - Internal Server Error: Failed to update provider integration

## cURL Example

```bash theme={null}
curl --location --request PUT 'https://api.trysiren.io/api/v1/public/provider-integrations/a8f39791-60ec-45a6-beb9-ead8f8d859af' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer bd9d07a8073a41eca003e5f0a841db7c' \
--data '{
  "providerCode": "SLACK",
  "name": "provider-integrations-name",
  "configuration": {
    "botAuthToken": "your-auth-token",
    "appId": "your-app-id"
  },
  "isPrimary": false
}'
```
